import { FC, memo } from "react"
import { useTranslation } from "react-i18next"
import { emptyBodyStyle } from "@/page/App/components/InspectPanel/PanelSetters/EventHandlerSetter/List/style"
import { useTheme } from "@mui/material"


export const EventHandlerEmpty: FC = memo(() => {
  const theme = useTheme()
  const { t } = useTranslation()
  return (
    <div css={emptyBodyStyle(theme)}>
      {t("editor.inspect.setter_content.event_handler_list.empty")}
    </div>
  )
})

EventHandlerEmpty.displayName = "EventHandlerEmpty"
